CairoContext::fontExtents
CairoContext::getCurrentPoint
CairoContext
PHP Manual

# CairoContext::getAntialias

# cairo_get_antialias

(PECL cairo >= 0.1.0)

CairoContext::getAntialias -- cairo_get_antialias — Retrives the current antialias mode

### Description

Object oriented style (method):

public int CairoContext::getAntialias ( void )

Procedural style:

int cairo_get_antialias ( CairoContext `$context` )

Returns the current CairoAntialias mode, as set by CairoContext::setAntialias().

### Parameters

`context`

  A valid CairoContext object created with CairoContext::__construct() or cairo_create()

### Return Values

The current CairoAntialias mode.

### Examples

Example #1 Object oriented style

`<?php
$surface = new CairoImageSurface(CairoFormat::ARGB32, 50, 50);
$context = new CairoContext($surface);
$context->setAntialias(CairoAntialias::MODE_SUBPIXEL);
var_dump($context->getAntialias());
?>`

The above example will output something similar to:

    int(3)

Example #2 Procedural style

`<?php
$sur = cairo_image_surface_create(CAIRO_FORMAT_ARGB32, 50, 50);
$con = cairo_create($sur);
cairo_set_antialias($con, CAIRO_ANTIALIAS_SUBPIXEL);
var_dump(cairo_get_antialias($con));
?>`

The above example will output something similar to:

    int(3)

### See Also

- CairoContext::setAntialias() - The setAntialias purpose
- CairoAntialias

CairoContext::fontExtents
CairoContext::getCurrentPoint
CairoContext
PHP Manual